package jwars.data;

import java.util.Scanner;

import java.awt.image.BufferedImage;

import jwars.Util;

public class HullCategory {

  public final static String CATEGORY_NAME = "hull";

  public final ArmourTable armour;
  public final BufferedImage graphics;

  public HullCategory(ArmourTable armour, BufferedImage image){
    this.armour = armour;
    this.graphics = image;
  }

  public HullCategory(Scanner input){
    armour = new ArmourTable(input);
    String next = input.next();
    if(next.equals("nil")){
      graphics = Util.createImage(1,1, java.awt.Transparency.BITMASK);
    } else {
      graphics = Util.readImage(next);
    }
  }

}
