package jwars.data;

import java.util.Scanner;

import jwars.model.Moveable;
import jwars.model.units.Tank;

public class TankCategory extends MoveableCategory {

  public final static String CATEGORY_NAME = "tank";
  public final HullCategory hull;
  public final TurretCategory turret;

  public TankCategory(Loader loader, Scanner input){
    super(loader, input);
    hull = loader.getHullType(input.next());
    turret = loader.getTurretType(input.next());
  }

  public Moveable create(){
    Tank t = new Tank(this);
    return t;
  }



}
