package jwars.model.collision;

import java.util.ArrayList;
import java.util.List;



public class CollisionTile{

  public final List<Collider> colliders = new ArrayList<Collider>(0);

  public CollisionTile(){}

  public void register(Collider content){
    colliders.add(content);
  }

  public void remove(Collider content){
    colliders.remove(content);
  }

}
