package jwars.data;

import java.util.Scanner;

import java.awt.image.BufferedImage;

import jwars.Util;

public class TurretCategory extends Category {

  public final static String CATEGORY_NAME = "turret";

  public final ArmourTable armour;
  public final BufferedImage graphics;
  public final double traverseSpeed;

  /*public TurretCategory(ArmourCategory armour, BufferedImage image){
    this.armour = armour;
    this.graphics = image;
  }*/

  public TurretCategory(Loader loader, Scanner input){
    super(input);
    armour = new ArmourTable(input);
    //graphics = Util.readImage(input.next());
    String next = input.next();
    if(next.equals("nil")){
      graphics = Util.createImage(1,1, java.awt.Transparency.BITMASK);
    } else {
      graphics = Util.readImage(next);
    }
    traverseSpeed = loader.readNumber(input);
  }

  public Object create(){
    return null;
  }

  /*public static TurretCategory load(Scanner input){
    ArmourCategory armour = ArmourCategory.load(input);
    BufferedImage image = Util.readImage(input.next());
    return new TurretCategory(armour, image);
  }*/

}
