package jwars.data;

import java.util.Scanner;
import jwars.model.Unit;

public abstract class UnitCategory extends Category<Unit> {

  public final String name;
  public final int radius;

  public UnitCategory(Loader loader, Scanner input){
    super(input);
    name = Syntax.readNameRemoveQuotationMarks(input);
    radius = (int)(loader.readNumber(input));
  }

  public String toString(){
    return super.toString() + " " + name;
  }

}
