package jwars.model.units;

import jwars.model.map.CollisionTile;
import jwars.model.map.Coordinate;
import jwars.gui.units.Drawable;

public abstract class Unit{

  private final Coordinate coords;
  private CollisionTile generalLocation = null;
  private Drawable drawable;

  public Unit(){
    coords = new Coordinate();
  }

  public void update(){

  }

  public abstract void move();

}
